Details

    • Type: Task
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 1.2.0
    • Fix Version/s: 1.2.1
    • Component/s: None
    • Labels:
      None

      Description

      The proposed list for components:

              alluxio                   1.0.1
              ambari                    2.5.0
              apex                      3.5.0 => 3.6.0
              bigtop_groovy            2.4.10
              bigtop_jsvc              1.0.15
              bigtop_tomcat            6.0.45
              bigtop_utils              1.2.0
              crunch                   0.14.0
              datafu                    1.3.0
              flink                     1.1.3
              flume                     1.7.0
              giraph                    1.1.0
              gpdb                      5.0.0-alpha.0 => disabled
              hadoop                    2.7.3
              hama                      0.7.0
              hbase                     1.1.3 => 1.1.9
              hive                      1.2.1
              hue                      3.11.0
              ignite_hadoop             1.9.0
              kafka                  0.10.1.1
              kite                      1.1.0 => removed
              mahout                   0.12.2 => 0.13.0
              oozie                     4.3.0
              phoenix                   4.9.0-HBase-1.1
              pig                      0.15.0
              qfs                       1.1.4
              solr                     4.10.4
              spark                     2.1.0 => 2.1.1
              spark1                    1.6.2
              sqoop                     1.4.6
              sqoop2                   1.99.4
              tajo                     0.11.1
              tez                       0.6.2
              ycsb                      0.4.0
              zeppelin                  0.7.0 => 0.7.2
              zookeeper                 3.4.6
      

      Supported OSs:

      centos-6
      centos-7
      ubuntu-16.04
      debian-8
      opensuse-42.1
      fedora-25
      

      Supported Archs:

      x86
      ppc64le
      

        Activity

        Hide
        evans_ye Evans Ye added a comment -

        To sum up the status:

        • For components, we got Apex, HBase, and Mahout upgraded in this minor release (see above list).
        • For Bigtop Sandbox, we got an upgrade to 1.2.x support and some minor new features and bug fixes.
        • For Bigtop Puppet, we have spark-standalone component added.

        Bigtop folks, any specific feature would like to be included in 1.2.1?

        Show
        evans_ye Evans Ye added a comment - To sum up the status: For components, we got Apex, HBase, and Mahout upgraded in this minor release (see above list). For Bigtop Sandbox, we got an upgrade to 1.2.x support and some minor new features and bug fixes. For Bigtop Puppet, we have spark-standalone component added. Bigtop folks, any specific feature would like to be included in 1.2.1?
        Hide
        evans_ye Evans Ye added a comment -

        Along with the release, I'd like to put up some example sandboxes mentioned in our doc. That way users can actually try it out and give us feedbacks.

        Show
        evans_ye Evans Ye added a comment - Along with the release, I'd like to put up some example sandboxes mentioned in our doc . That way users can actually try it out and give us feedbacks.
        Hide
        sekikn Kengo Seki added a comment -

        According to YoungWoo Kim's comment, Zeppelin should be upgraded to 0.7.1.
        Updated the component list.

        Show
        sekikn Kengo Seki added a comment - According to YoungWoo Kim 's comment , Zeppelin should be upgraded to 0.7.1. Updated the component list.
        Hide
        warwithin YoungWoo Kim added a comment -

        There is a bug fix release for Spark 2.1 line, https://spark.apache.org/releases/spark-release-2-1-1.html Would be good to upgrade Spark to 2.1.1 if it's possible and does not needed so much efforts.

        Show
        warwithin YoungWoo Kim added a comment - There is a bug fix release for Spark 2.1 line, https://spark.apache.org/releases/spark-release-2-1-1.html Would be good to upgrade Spark to 2.1.1 if it's possible and does not needed so much efforts.
        Hide
        rvs Roman Shaposhnik added a comment -

        YoungWoo Kim any chance you can try 2.1 out and send us a patch?

        Show
        rvs Roman Shaposhnik added a comment - YoungWoo Kim any chance you can try 2.1 out and send us a patch?
        Hide
        warwithin YoungWoo Kim added a comment -

        Sure, Roman Shaposhnik. I've filed BIGTOP-2807 and working on it.

        Show
        warwithin YoungWoo Kim added a comment - Sure, Roman Shaposhnik . I've filed BIGTOP-2807 and working on it.
        Hide
        warwithin YoungWoo Kim added a comment - - edited
        Show
        warwithin YoungWoo Kim added a comment - - edited FYI, [ ANNOUNCE] Apache Zeppelin 0.7.2 released Filed BIGTOP-2812
        Hide
        rvs Roman Shaposhnik added a comment -

        Greenplum just released its beta. I'd like to include that in the refresh as well.

        Show
        rvs Roman Shaposhnik added a comment - Greenplum just released its beta. I'd like to include that in the refresh as well.
        Hide
        evans_ye Evans Ye added a comment -

        Roman Shaposhnik are you able to get it upgraded recently? Meanwhile GPDB deployment is not in a good shape. See our matrix.
        I probably am going to push this back and tag it as known issue which will be fixed in next release. How do you think?

        Show
        evans_ye Evans Ye added a comment - Roman Shaposhnik are you able to get it upgraded recently? Meanwhile GPDB deployment is not in a good shape. See our matrix . I probably am going to push this back and tag it as known issue which will be fixed in next release. How do you think?
        Hide
        cos Konstantin Boudnik added a comment -

        +1
        the bug in GPDB deployment code has surfaced earlier, so let's not block the 1.2.1 because of this

        Show
        cos Konstantin Boudnik added a comment - +1 the bug in GPDB deployment code has surfaced earlier, so let's not block the 1.2.1 because of this
        Hide
        rvs Roman Shaposhnik added a comment -

        I'm back from vacation and wanted to work on hooking the latest GPDB beta to Bigtop. Do we still have time for 1.2.1 ?

        Show
        rvs Roman Shaposhnik added a comment - I'm back from vacation and wanted to work on hooking the latest GPDB beta to Bigtop. Do we still have time for 1.2.1 ?
        Hide
        evans_ye Evans Ye added a comment -

        I'd say yes. The release timeline has been dragged by recently license issue.
        Without a concrete solution I'm still hastening for the release.

        Show
        evans_ye Evans Ye added a comment - I'd say yes. The release timeline has been dragged by recently license issue. Without a concrete solution I'm still hastening for the release.

          People

          • Assignee:
            evans_ye Evans Ye
            Reporter:
            evans_ye Evans Ye
          • Votes:
            0 Vote for this issue
            Watchers:
            5 Start watching this issue

            Dates

            • Due:
              Created:
              Updated:
              Resolved:

              Development